#nvpl_sparse-config.cmake
#
# Imported interface targets provided:
#  * nvpl::sparse_static - static library target (if available)
#  * nvpl::sparse_shared - shared library target
#  * nvpl::sparse - alias to shared library target
#

set(nvpl_sparse_VERSION "0.1.0")
# build: 74


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was PackageConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include(CMakeFindDependencyMacro)

include("${CMAKE_CURRENT_LIST_DIR}/nvpl_sparse-targets.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/nvpl_sparse-static-targets.cmake" OPTIONAL)

if(TARGET nvpl_sparse_static)
  set(nvpl_sparse_STATIC_LIBRARIES nvpl_sparse_static)
endif()
set(nvpl_sparse_SHARED_LIBRARIES nvpl_sparse)

# Allow Alias to targets
set_target_properties(${nvpl_sparse_STATIC_LIBRARIES} ${nvpl_sparse_SHARED_LIBRARIES} PROPERTIES IMPORTED_GLOBAL 1)

add_library(nvpl::sparse ALIAS nvpl_sparse)
add_library(nvpl::sparse_shared ALIAS nvpl_sparse)
if(TARGET nvpl_sparse_static)
  add_library(nvpl::sparse_static ALIAS nvpl_sparse_static)
endif()

get_target_property(nvpl_sparse_LOCATION ${nvpl_sparse_SHARED_LIBRARIES} LOCATION)
get_filename_component(nvpl_sparse_LOCATION ${nvpl_sparse_LOCATION} DIRECTORY)
get_filename_component(nvpl_sparse_LOCATION ${nvpl_sparse_LOCATION}/.. REALPATH)

check_required_components(nvpl_sparse)
message(STATUS "Found nvpl_sparse: (Location: ${nvpl_sparse_LOCATION} Version: ${nvpl_sparse_VERSION}")
